GROUPADD(8)

NAME
groupadd - Créer un nouveau groupe

SYNOPSIS

groupadd [-g gid [-o]] [-f] [-K CLÉE=VALEUR] groupe

DESCRIPTION

La commande groupadd crée un nouveau compte de groupe en utilisant les valeurs spécifiées sur la ligne de commande et les valeurs par défaut du système. Le nouveau groupe sera inséré dans les fichiers du système quand c'est nécessaire.

OPTIONS

Les options disponibles pour la commande groupadd sont :

-f  Avec cette option, groupadd quittera juste avec un status de succès si le groupe spécifié existe déjà. Avec l'option -g, si le groupe spécifié existe déjà, une autre gid (non utilisé) sera choisi (c.-à-d. que l'option -g est désactivée).

-g GID
    La valeur numérique de l'identifiant du groupe ([ NdT : group ID ou GID ]. Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur ne doit pas être négative. Par défaut le plus petit identifiant plus grand que 999 et que les identifiants des groupes existants est utilisé. Les valeurs comprises entre 0 et 999 sont généralement réservées aux comptes système.

-h, --help
    Affiche un message d'aide et quitte.

-K CLÉE=VALEUR
    Surcharge les valeurs par défaut du fichier /etc/login.defs (GID_MIN, GID_MAX et autres). L'option -K peut être spécifiée plusieurs fois.

    Exemple : -KGID_MIN=10-KGID_MAX=499

    Note : -KGID_MIN=10,GID_MAX=499 ne fonctionne pas pour l'instant.

-o  Permet de créer un groupe avec un identifiant (« GID ») déjà utilisé.

FICHIERS

/etc/group
    informations sur les groupes

/etc/gshadow
    informations cachées sur les groupes

/etc/login.defs
    configuration de la suite des mots de passe cachés « shadow password »

AVERTISSEMENTS

Les noms de groupe doivent commencer par une lettre minuscule ou un « underscore », et seuls des lettres minuscules, des chiffres, des « underscore », des tirets ou un dollar peuvent suivre. Soit, sous la forme d'une expression rationnelle : [a-z_][a-z0-9_-]*[$]

Les noms de groupe sont limités à 16 caractères.

Si le nom de l'utilisateur existe dans une base de données externe, telle que NIS, useradd refusera de créer l'utilisateur.

Les noms de groupe sont limités à 16 caractères.

VALEUR DE RETOUR

La commande groupadd retourne les valeurs suivantes en quittant :

0   succès

2   erreur de syntaxe

3   argument non valable pour l'option

4   gid déjà utilisé (et -o n'est pas utilisé)

9   nom de groupe déjà utilisé

10  impossible de mettre à jour le fichier des groupes

VOIR AUSSI

chfn(1), chsh(1), passwd(1), gpasswd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8), usermod(8).